/*
 * Copyright Aduna (http://www.aduna-software.com/) (c) 2008.
 *
 * Licensed under the Aduna BSD-style license.
 */
package info.aduna.collections;

import java.io.Serializable;
import java.util.Comparator;

/**
 * Comparator that compares two comparable objects according to their natural
 * order.
 * 
 * @author Herko ter Horst
 */
public class NaturalOrderComparator<T extends Comparable<T>> implements Comparator<T>, Serializable {

	private static final long serialVersionUID = 8582421466069123064L;

	public int compare(T one, T other) {
		return one.compareTo(other);
	}
}
