/*
 * Copyright Aduna (http://www.aduna-software.com/) (c) 1997-2007.
 *
 * Licensed under the Aduna BSD-style license.
 */

package info.aduna.collections.iterators;

import java.util.Iterator;

import info.aduna.iteration.ConvertingIteration;

/**
 * A CloseableIterator that converts an iterator over objects of type <tt>S</tt>
 * (the source type) to an iterator over objects of type <tt>T</tt> (the
 * target type).
 */
public abstract class ConvertingIterator<S, T> extends ConvertingIteration<S, T, RuntimeException> implements
		CloseableIterator<T>
{

	public ConvertingIterator(Iterator<? extends S> iter) {
		super(new IteratorIteration<S, RuntimeException>(iter));
	}
}
