/*
 * Copyright Aduna (http://www.aduna-software.com/) (c) 1997-2007.
 *
 * Licensed under the Aduna BSD-style license.
 */

package info.aduna.collections.iterators;

import java.util.Iterator;

import info.aduna.iteration.DistinctIteration;

/**
 * An Iterator that filters any duplicate elements from an underlying iterator.
 */
public class DistinctIterator<E> extends DistinctIteration<E, RuntimeException> implements
		CloseableIterator<E>
{

	/**
	 * Creates a new DistinctIterator.
	 * 
	 * @param iter
	 *        The underlying iterator.
	 */
	public DistinctIterator(Iterator<? extends E> iter) {
		super(new IteratorIteration<E, RuntimeException>(iter));
	}
}
