/*
 * Copyright Aduna (http://www.aduna-software.com/) (c) 1997-2007.
 *
 * Licensed under the Aduna BSD-style license.
 */

package info.aduna.collections.iterators;

import java.util.Iterator;

import info.aduna.iteration.FilterIteration;

/**
 * A CloseableIterator that wraps another iterator, applying a filter on the
 * objects that are returned. Subclasses must implement the <tt>accept</tt>
 * method to indicate which objects should be returned.
 */
public abstract class FilterIterator<E> extends FilterIteration<E, RuntimeException> implements
		CloseableIterator<E>
{

	/**
	 * @param iter
	 */
	public FilterIterator(Iterator<? extends E> iter) {
		super(new IteratorIteration<E, RuntimeException>(iter));
	}
}
