/*
 * Copyright Aduna (http://www.aduna-software.com/) (c) 1997-2006.
 *
 * Licensed under the Aduna BSD-style license.
 */
 
package info.aduna.collections.iterators;

import info.aduna.iteration.LookAheadIteration;

/**
 * An iterator that looks one element ahead, if necessary, to handle calls to
 * {@link #hasNext}. This is a convenient super class for iterators that have no
 * easy way to tell if there are any more results, but still should implement
 * the <tt>java.util.Iterator</tt> interface.
 */
public abstract class LookAheadIterator<E> extends LookAheadIteration<E, RuntimeException> implements CloseableIterator<E> {

}
