/*
 * Copyright Aduna (http://www.aduna-software.com/) (c) 1997-2007.
 *
 * Licensed under the Aduna BSD-style license.
 */

package info.aduna.collections.iterators;

import java.util.Iterator;

import info.aduna.iteration.OffsetIteration;

/**
 * An iterator that skips the first <tt>offset</tt> elements from an
 * underlying iterator.
 */
public class OffsetIterator<E> extends OffsetIteration<E, RuntimeException> implements CloseableIterator<E> {

	/**
	 * Creates a new OffsetIterator.
	 * 
	 * @param iter
	 *        The underlying iterator, must not be <tt>null</tt>.
	 * @param offset
	 *        The number of elements to skip, must be larger than or equal to 0.
	 */
	public OffsetIterator(Iterator<E> iter, int offset) {
		super(new IteratorIteration<E, RuntimeException>(iter), offset);
	}
}
